/* Copyright 1988 Stephan v. Bechtolsheim */

/* This file is part of the TeXPS Software Package.

The TeXPS Software Package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY.  No author or distributor
accepts responsibility to anyone for the consequences of using it
or for whether it serves any particular purpose or works at all,
unless he says so in writing.  Refer to the TeXPS Software Package
General Public License for full details.

Everyone is granted permission to copy, modify and redistribute
the TeXPS Software Package, but only under the conditions described in the
TeXPS Software Package General Public License.   A copy of this license is
supposed to have been given to you along with TeXPS Software Package so you
can know your rights and responsibilities.  It should be in a
file named CopyrightLong.  Among other things, the copyright notice
and this notice must be preserved on all copies.  */


/*
 * DVI commands
 */

/* Format of dvi files. */
#define  DVI_FILE_ID     2 /* Stored in the preamble */

/* The initial instructions move the current position after the character was
   printed. */
#define DVI_SETC_000        0
#define DVI_SETC_001        1
/* ..... */
#define DVI_SETC_126      126
#define DVI_SETC_127      127

/* The following instructions are used to print characters with moving the reference
   point. */
#define DVI_SET1          128
#define DVI_SET2          129
#define DVI_SET3          130
#define DVI_SET4          131
#define DVI_SET_RULE      132
/* And here the reference point is not moved. */
#define DVI_PUT1          133
#define DVI_PUT2          134
#define DVI_PUT3          135
#define DVI_PUT4          136
#define DVI_PUT_RULE      137
#define DVI_NOP           138
#define DVI_BOP           139
#define DVI_EOP           140
#define DVI_PUSH          141
#define DVI_POP           142
#define DVI_RIGHT1        143
#define DVI_RIGHT2        144
#define DVI_RIGHT3        145
#define DVI_RIGHT4        146
#define DVI_W0            147
#define DVI_W1            148
#define DVI_W2            149
#define DVI_W3            150
#define DVI_W4            151
#define DVI_X0            152
#define DVI_X1            153
#define DVI_X2            154
#define DVI_X3            155
#define DVI_X4            156
#define DVI_DOWN1         157
#define DVI_DOWN2         158
#define DVI_DOWN3         159
#define DVI_DOWN4         160
#define DVI_Y0            161
#define DVI_Y1            162
#define DVI_Y2            163
#define DVI_Y3            164
#define DVI_Y4            165
#define DVI_Z0            166
#define DVI_Z1            167
#define DVI_Z2            168
#define DVI_Z3            169
#define DVI_Z4            170
#define DVI_FONT_00       171
#define DVI_FONT_01       172
/* .... */
#define DVI_FONT_62       233
#define DVI_FONT_63       234
#define DVI_FNT1          235
#define DVI_FNT2          236
#define DVI_FNT3          237
#define DVI_FNT4          238
#define DVI_XXX1          239
#define DVI_XXX2          240
#define DVI_XXX3          241
#define DVI_XXX4          242
#define DVI_FNT_DEF1      243
#define DVI_FNT_DEF2      244
#define DVI_FNT_DEF3      245
#define DVI_FNT_DEF4      246
#define DVI_PRE           247
#define DVI_POST          248
#define DVI_POST_POST     249
